{% raw %}

<script type="text/x-vue" name="form-input" data-nowrap>
  <div v-bind:class="{ 'form-input-component': true, 'has-error': error }">
    <slot />
    <div class="error-hint" v-if="error">
      <div>{{ error }}</div>
    </div>
  </div>
</script>

<script type="text/x-vue" name="global-messages">
  <div v-for="message in messagesReversed" :data-id="message.id" :class="'message alert alert-' + message.type + (message.icon ? ' with-icon' : '')">
    <div v-if="message.icon" class="icon">
      <span :class="'glyphicon glyphicon-' + message.icon"></span>
    </div>
    <div class="text">{{ message.text }}</div>
  </div>
</script>

{% endraw %}
